# -scrc (Set hash function) switch

Sets hash function for "extract" and "hash" commands.

#### Syntax

    [-scrc{Method}]

Supported methods: CRC32, CRC64, SHA1, SHA256, *. Default method is CRC32.

#### Examples

    7z t  -scrcsha256 archive.gz

tests archive archive.gz and calculated SHA-256 for decompressed data.

    7z h  -scrcsha1 *.iso

calculates SHA-1 for *.iso files.

#### Commands that can be used with this switch

h (Hash), e (Extract), x (Extract with full paths)